Get Match Code Containers

Get containers and MBLs for a given match code.

The match_code can include SQL LIKE wildcards:

  • % matches any sequence of characters
  • _ matches any single character

Examples:

  • /match_codes/CUSTOMER123 - Exact match
  • /match_codes/CUST%25 - All match codes starting with "CUST" (% encoded as %25)
  • /match_codes/%25TEST%25 - All match codes containing "TEST"

Returns:

[
  {
    "CUSTOMER123": [
      {
        "container_number": "ABCD1234567",
        "mbl_number": "MAEU1234567"
      },
      {
        "container_number": "EFGH1234567",
        "mbl_number": "MAEU1234567"
      }
    ]
  }
]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
boolean
Defaults to false

If true, only return containers with demurrage_outstanding_amount > 0

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json